## eartag 0.5.1

=== meson_options.txt ===
option('acoustid_api_key', type : 'string', value : 'b\'Kqy8kqI8',
       description : 'API key to use for AcoustID (used for audio' +
                     'identification function).')

option('enable_networked_tests', type : 'boolean', value : false,
       description : 'Enable MusicBrainz/AcoustID tests.')

=== debian/changelog ===
eartag (0.5.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Fix python-gi dependency

  [ Matthias Geiger ]
  * New upstream release
  * Upload to unstable

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 02 Nov 2023 17:00:58 +0100

eartag (0.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1053210)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 29 Sep 2023 17:11:49 +0200

=== debian/control ===
Source: eartag
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.56.0),
 dh-sequence-python3,
 libglib2.0-dev,
 libgdk-pixbuf-2.0-dev,
 python3-acoustid,
 python3-magic,
 python3-mutagen,
 python3-gi,
 python3-pil,
 python3-pytest,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/World/eartag
Vcs-Browser: https://salsa.debian.org/gnome-team/eartag
Vcs-Git: https://salsa.debian.org/gnome-team/eartag.git

Package: eartag
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 gir1.2-adw-1 (>= 1.4.0),
 gir1.2-gtk-4.0 (>= 4.12.0),
 python3-acoustid,
 python3-gi,
 python3-magic,
 python3-mutagen,
 python3-pil,
Description: Edit audio file tags
 Ear Tag is a simple audio file tag editor. It is primarily geared towards
 making quick edits or bulk-editing tracks in albums/EPs.
 Unlike other tagging programs, Ear Tag does not require the user to set up
 a music library folder.
 .
 Ear Tag supports both desktop and mobile form factors.

## eartag 0.6.0

=== debian/changelog ===
eartag (0.6.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Mention GNOME Circle in package description 
  [ Matthias Geiger ]
  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 26 Feb 2024 23:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -40,3 +40,5 @@
  a music library folder.
  .
  Ear Tag supports both desktop and mobile form factors.
+ .
+ Ear Tag is a GNOME Circle app.

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/eartag/tags?sort=updated_desc \
archive/@ANY_VERSION@/eartag-\d\S*@ARCHIVE_EXT@

## eartag 0.6.1

=== debian/changelog ===
eartag (0.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Build-Depends: blueprint-compiler
  * Bump minimum libadwaita to 1.5
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 10:37:46 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson (>= 0.56.0),
+ blueprint-compiler,
  dh-sequence-python3,
+ libadwaita-1-dev (>= 1.5.0),
  libglib2.0-dev,
  libgdk-pixbuf-2.0-dev,
  python3-acoustid,
@@ -16,7 +18,7 @@
  python3-gi,
  python3-pil,
  python3-pytest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/World/eartag
 Vcs-Browser: https://salsa.debian.org/gnome-team/eartag
 Vcs-Git: https://salsa.debian.org/gnome-team/eartag.git
@@ -26,7 +28,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- gir1.2-adw-1 (>= 1.4.0),
+ gir1.2-adw-1 (>= 1.5.0),
  gir1.2-gtk-4.0 (>= 4.12.0),
  python3-acoustid,
  python3-gi,

## eartag 0.6.2

=== debian/changelog ===
eartag (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * Updated my mail address in d/control
  * Depend on GTK4 4.16

 -- Matthias Geiger <werdahias@debian.org>  Tue, 01 Oct 2024 20:37:00 +0200

## eartag 0.6.3

=== debian/changelog ===
eartag (0.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 11 Nov 2024 17:56:29 +0100

## eartag 0.6.4

=== debian/changelog ===
eartag (0.6.4-2) unstable; urgency=medium

  * Cherry-pick upstream commit fixing popovers (Closes: #1099735)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Mar 2025 17:25:07 +0100

eartag (0.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Fri, 10 Jan 2025 23:08:19 +0100

## eartag 0.6.5

=== debian/changelog ===
eartag (0.6.5-2) unstable; urgency=medium

  * Team upload
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 16:07:11 -0400

eartag (0.6.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 14:55:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <werdahias@riseup.net>
+Uploaders: Matthias Geiger <werdahias@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,7 +19,7 @@
  python3-pil,
  python3-pytest,
 Standards-Version: 4.7.0
-Homepage: https://gitlab.gnome.org/World/eartag
+Homepage: https://apps.gnome.org/EarTag/
 Vcs-Browser: https://salsa.debian.org/gnome-team/eartag
 Vcs-Git: https://salsa.debian.org/gnome-team/eartag.git
 
@@ -29,7 +29,7 @@
  ${python3:Depends},
  ${misc:Depends},
  gir1.2-adw-1 (>= 1.5.0),
- gir1.2-gtk-4.0 (>= 4.12.0),
+ gir1.2-gtk-4.0 (>= 4.16),
  python3-acoustid,
  python3-gi,
  python3-magic,

## eartag 1.0.0

=== debian/changelog ===
eartag (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump S-V to 4.7.2, no changes needed
  * d/control: Add new test-dependencies for buildtime tests

 -- Matthias Geiger <werdahias@debian.org>  Sun, 10 Aug 2025 12:09:55 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,13 @@
  python3-mutagen,
  python3-gi,
  python3-pil,
- python3-pytest,
-Standards-Version: 4.7.0
+ python3-aiofiles <!nocheck>,
+ python3-aiohttp <!nocheck>,
+ python3-aiohttp-retry <!nocheck>,
+ python3-filetype <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-xxhash <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/EarTag/
 Vcs-Browser: https://salsa.debian.org/gnome-team/eartag
 Vcs-Git: https://salsa.debian.org/gnome-team/eartag.git

## eartag 1.0.2

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,5 @@
 option('enable_networked_tests', type : 'boolean', value : false,
        description : 'Enable MusicBrainz/AcoustID tests.')
 
+option('devel', type : 'boolean', value : false,
+       description : 'Mark this build as a development build.')

=== requirements.txt ===
# This file is used for Flatpak dependency generation.
# As such, PyGObject is not included.
audioread
# Note that flatpak-pip-requirements is broken and seems to break
# dependency chains for aio-libs: frozenlist, propcache and yarl.
# For this reason, aiohttp and aiohttp-retry are generated manually
# and the wheels for the aforementioned packages need to be swapped
# out for their Python-only equivalents.
# aiohttp
# aiohttp-retry
aiofiles
filetype
mutagen
pillow
pyacoustid
xxhash

=== debian/changelog ===
eartag (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Fri, 05 Sep 2025 19:56:11 +0200

eartag (1.0.0-2) unstable; urgency=medium

  * d/patches: add cherry-pick upstream patch fixing async crash
  * d/control: Add missing depends on aiofiles, xxhash, filetype
  * d/control: add pytest-asyncio test-dependency

 -- Matthias Geiger <werdahias@debian.org>  Sat, 16 Aug 2025 15:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-aiohttp-retry <!nocheck>,
  python3-filetype <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-xxhash <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/EarTag/
@@ -36,10 +37,13 @@
  gir1.2-adw-1 (>= 1.5.0),
  gir1.2-gtk-4.0 (>= 4.16),
  python3-acoustid,
+ python3-aiofiles,
+ python3-filetype,
  python3-gi,
  python3-magic,
  python3-mutagen,
  python3-pil,
+ python3-xxhash,
 Description: Edit audio file tags
  Ear Tag is a simple audio file tag editor. It is primarily geared towards
  making quick edits or bulk-editing tracks in albums/EPs.
